Skip to main content
GET
/
api
/
sol
/
tokens
/
metadata
/
{tokenMint}
Token metadata (on-chain + off-chain)
curl --request GET \
  --url 'https://ca.raze.sh/api/sol/tokens/metadata/{tokenMint}?apiKey='
{
  "success": true,
  "metadata": {
    "tokenMint": "<string>",
    "onChain": {
      "name": "<string>",
      "symbol": "<string>",
      "uri": "<string>",
      "source": "metaplex"
    },
    "offChain": {
      "name": "<string>",
      "symbol": "<string>",
      "description": "<string>",
      "image": "<string>",
      "external_url": "<string>",
      "attributes": [
        {}
      ]
    },
    "metadataSource": "metaplex",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.raze.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

Path Parameters

tokenMint
string
required

Response

Success

success
boolean
metadata
object